ofbiz-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chatree Srichart (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (OFBIZ-6915) Upgrade Tomcat to 8.0.33
Date Sat, 16 Apr 2016 08:44:25 GMT

    [ https://issues.apache.org/jira/browse/OFBIZ-6915?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15244096#comment-15244096
] 

Chatree Srichart commented on OFBIZ-6915:
-----------------------------------------

I see that these classes are in tomcat-8.0.33-tomcat-util-scan.jar :

{quote}
org.apache.tomcat.util.descriptor.web.FilterDef
org.apache.tomcat.util.descriptor.web.FilterMap
org.apache.tomcat.util.scan.StandardJarScanner
{quote}

so we need it.

I see that tomcat-8.0.33-tomcat-jni.jar is also needed, otherwise this exception will be occurred
:

{quote}
[java] Exception in thread "main" java.lang.NoClassDefFoundError: org/apache/tomcat/jni/LibraryNotFoundError
[java] 	at org.apache.catalina.connector.Connector.setProtocol(Connector.java:564)
[java] 	at org.apache.catalina.connector.Connector.<init>(Connector.java:66)
[java] 	at org.ofbiz.catalina.container.CatalinaContainer.createConnector(CatalinaContainer.java:442)
{quote}

I see that tomcat-util.jar of Tomcat 7 is also not in extras.

https://archive.apache.org/dist/tomcat/tomcat-7/v7.0.65/bin/extras/

It is a default library.

https://tomcat.apache.org/tomcat-7.0-doc/class-loader-howto.html

also in version 8

https://tomcat.apache.org/tomcat-8.0-doc/class-loader-howto.html
https://archive.apache.org/dist/tomcat/tomcat-8/v8.0.33/bin/extras/

> Upgrade Tomcat to 8.0.33
> ------------------------
>
>                 Key: OFBIZ-6915
>                 URL: https://issues.apache.org/jira/browse/OFBIZ-6915
>             Project: OFBiz
>          Issue Type: Sub-task
>          Components: framework
>    Affects Versions: Trunk
>         Environment: Ubuntu 14.04 
>            Reporter: Chatree Srichart
>            Assignee: Jacques Le Roux
>             Fix For: 15.12.01
>
>         Attachments: tomcat-8.0.32-libs.zip, tomcat-8.0.33-libs.zip, upgrade_tomcat_to_8.0.32.patch,
upgrade_tomcat_to_8.0.33.patch, upgrade_tomcat_to_8.0.33.status
>
>
> I am working on a library which requires Tomcat 8 but it cannot work on the current trunk
which is using Tomcat 7. Would it be possible to upgrade Tomcat to version 8? I also provides
a patch and libraries for Tomcat 8.0.32.
> Migrating from 7.0.x to 8.0.x
> https://tomcat.apache.org/migration-8.html
> Tomcat 8 Security
> https://tomcat.apache.org/security-8.html
> Tomcat 8 Changelog
> http://tomcat.apache.org/tomcat-8.0-doc/changelog.html



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message